package com.iamberry.wechat.core.entity.welfare;

import com.iamberry.wechat.core.entity.member.Member;
import com.iamberry.wechat.core.entity.order.Order;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 献
 */
public class UserAmountLogs implements Serializable {

    private Integer logsId;

    private String userOpenid;

    private String orderId;

    private Integer logsType;

    private Integer logsState;

    private Integer logsAmount;

    private Date logsDate;

    private String logsRemark;

    private Date logsUpdateTime;

    private Date logsCreateTime;

    private Order order;

    private Member member;

    public Order getOrder() {
        return order;
    }

    public void setOrder(Order order) {
        this.order = order;
    }

    public Member getMember() {
        return member;
    }

    public void setMember(Member member) {
        this.member = member;
    }

    public String getLogsRemark() {
        return logsRemark;
    }

    public void setLogsRemark(String logsRemark) {
        this.logsRemark = logsRemark;
    }

    public Integer getLogsId() {
        return logsId;
    }

    public void setLogsId(Integer logsId) {
        this.logsId = logsId;
    }

    public String getUserOpenid() {
        return userOpenid;
    }

    public void setUserOpenid(String userOpenid) {
        this.userOpenid = userOpenid == null ? null : userOpenid.trim();
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId == null ? null : orderId.trim();
    }

    public Integer getLogsType() {
        return logsType;
    }

    public void setLogsType(Integer logsType) {
        this.logsType = logsType;
    }

    public Integer getLogsState() {
        return logsState;
    }

    public void setLogsState(Integer logsState) {
        this.logsState = logsState;
    }

    public Integer getLogsAmount() {
        return logsAmount;
    }

    public void setLogsAmount(Integer logsAmount) {
        this.logsAmount = logsAmount;
    }

    public Date getLogsDate() {
        return logsDate;
    }

    public void setLogsDate(Date logsDate) {
        this.logsDate = logsDate;
    }

    public Date getLogsUpdateTime() {
        return logsUpdateTime;
    }

    public void setLogsUpdateTime(Date logsUpdateTime) {
        this.logsUpdateTime = logsUpdateTime;
    }

    public Date getLogsCreateTime() {
        return logsCreateTime;
    }

    public void setLogsCreateTime(Date logsCreateTime) {
        this.logsCreateTime = logsCreateTime;
    }
}